terraform {
  required_version = "1.5.5"
  required_providers {
    hetznerdns = {
      source  = "timohirt/hetznerdns"
      version = "~>2.2"
    }
    docker = {
      source  = "kreuzwerker/docker"
      version = "~>3.0"
    }
  }
}

data "hetznerdns_zone" "primary" {
  name = "montage2.de"
}

resource "hetznerdns_record" "primary" {
  zone_id = data.hetznerdns_zone.primary.id
  name    = "shit"
  value   = "ax41-1.fsn.mon2.de."
  type    = "CNAME"
}
